package com.example.chat.service;

import com.example.chat.dao.UserMapper;
import com.example.chat.dao.chat.ChatMapper;
import com.example.chat.entity.User;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;

@Slf4j
@Service
public class ChatIndex {

    @Resource
    UserMapper userMapper;
    @Resource
    ChatMapper chatMapper;

    public void deleteUser(String account) {
        User user = new User();
        user.setAccount(account);
        try {
            userMapper.delUser(user);

            chatMapper.logOffUser(user.getAccount());//修改用户的聊天记录的头像与昵称
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
    //修改用户User属性以及聊天记录中的User属性
    public void modifyUsername(User user) throws IOException {
            chatMapper.updateUser(user);
            userMapper.updateUser(user);
    }
    public String modifyPassword(User user,String oldPassword){
        String returnStr=null;
        try {
            User dbUser=userMapper.getUserByAccount(user.getAccount());
            System.out.println("dbUser"+dbUser);
            if (dbUser.getPassword().equals(oldPassword)){
                userMapper.updatePassword(user);
                returnStr= "success";
            }
        } catch (IOException e) {
            throw new RuntimeException(e);

        }
        return returnStr;
    }

}
