package com.example.chat.service;

import com.example.chat.common.config.RabbitMqConfig;
import com.example.chat.entity.chat.Message;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class TaskService {

    @Autowired
    RabbitTemplate rabbitTemplate;

    @Scheduled(cron = "0 * 23 * * ?")
    public void test() throws JsonProcessingException {
        Message message = new Message();
        message.setMessage("哈哈哈哈哈哈");
        ObjectMapper mapper=new ObjectMapper();
        rabbitTemplate.convertAndSend(RabbitMqConfig.EXCHANGE_TOPICS_INFORM,RabbitMqConfig.ROUTING_KEY_SMS,mapper.writeValueAsString(message));
        System.out.println("test定时任务执行了123");
    }

}
